// BndDlg.h : header file
//

#if !defined(AFX_BNDDLG_H__634161FE_1C64_4FA9_B37F_02831EF06194__INCLUDED_)
#define AFX_BNDDLG_H__634161FE_1C64_4FA9_B37F_02831EF06194__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "FrmBnd.h"
#include "LogoPnt.h"

/////////////////////////////////////////////////////////////////////////////
// CBndDlg dialog

class CBndDlg : public CDialog
{
	CFrameBounder m_Bnd;
	CLogoPainter m_Pnt;
	BOOL m_bBndChecked;
	BOOL m_bPntChecked;
// Construction
public:
	CBndDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBndDlg)
	enum { IDD = IDD_BND_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBndDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBndDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFrmBnd();
	afx_msg void OnLogoPnt();
	afx_msg void OnProperties();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL SetLogoPainter(BOOL bSet);
	BOOL SetFrameBounder(BOOL bSet);
	BOOL GetMinMaxSize(CSize& min,CSize& max);
	RECT GetLogoRect();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BNDDLG_H__634161FE_1C64_4FA9_B37F_02831EF06194__INCLUDED_)
