///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//// Module contains class CLogoPainter derived from CMsgHandler.
//// Class overrides WndProc function to paint some logo after WM_PAINT
//// message was processed
////
//// author - Sholomov D.L. (02.07.2001)
//// Cognitive Technologies Ltd. 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef _LOGO_PNT_H
#define _LOGO_PNT_H

#include "MsgHndlr.h"

#pragma warning ( disable : 4786 )

#include <string>
using namespace std;

class CLogoPainter : public CMsgHandler
{
	RECT rcText;
	string sText;
	static RECT rcNull;
public:
	CLogoPainter(HWND _hWnd=NULL,const char* pText=NULL,RECT& _rcText=rcNull);
	BOOL Initialize(HWND _hWnd=NULL,const char* pText=NULL,RECT& _rcText=rcNull);
	BOOL Terminate();
	virtual LRESULT PostWndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	// Properties
	void SetText(const char* pText,BOOL bRedraw=TRUE);
	const char* GetText();
	void Redraw();
};

#endif	// _LOGO_PNT_H